Bug 1102351

Summary: Remove v1 API routes
Product: Red Hat Satellite Reporter: Walden Raines <walden>
Component: Users & RolesAssignee: Walden Raines <walden>
Status: CLOSED CURRENTRELEASE QA Contact: sthirugn <sthirugn>
Severity: medium Docs Contact:
Priority: medium    
Version: 6.0.3CC: bbuckingham, bkearney, jmontleo, sthirugn
Target Milestone: UnspecifiedKeywords: Triaged
Target Release: Unused   
Hardware: All   
OS: All   
Whiteboard:
Fixed In Version: Doc Type: Release Note
Doc Text:
Users should not code to the v1 apis, as these will be removed before GA.
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-09-11 12:29:10 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Walden Raines 2014-05-28 20:02:59 UTC
Description of problem:


From http://projects.theforeman.org/issues/5843.

In order to avoid authorizing v1 routes we need to "hide" them. This will be followed with removing the controllers completely after the remaining v1 controllers are converted to v2.

If we don't "hide" these routes by removing the v1 routes file then the APIs will be available and using the old roles system.

Comment 1 RHEL Program Management 2014-05-28 20:25:55 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 3 Walden Raines 2014-06-20 13:05:08 UTC
commit d8130b0e68b560595f93a1c6427178e860ebd59a
Merge: fe95f2e fc78230
Author: Walden Raines <walden@redhat.com>
Date:   Fri May 30 11:09:05 2014 -0400

    Merge pull request #4132 from waldenraines/5843
    
    Fixes #5843, removing api v1 routes.

commit fc78230dbec7ce738e2384120bd805b441d5f24f
Author: Walden Raines <walden@redhat.com>
Date:   Wed May 21 10:16:37 2014 -0400

    Fixes #5843, removing api v1 routes.

Comment 5 sthirugn@redhat.com 2014-08-13 16:15:03 UTC
Verified.

#curl -X POST -H "Accept:application/json" -H "Content-Type: application/json" -u admin:changeme --insecure -d '{"name":"testorgapi1"}' https://host/katello/api/v1/organizations

The page you were looking for doesn't exist (404)

#curl -X GET -H "Accept:application/json" -H "Content-Type: application/json" -u admin:changeme --insecure  https://cloud-qe-14.idm.lab.bos.redhat.com/katello/api/v1/organizations

The page you were looking for doesn't exist (404)

Version Tested:
GA Snap 4 - Satellite-6.0.4-RHEL-6-20140806.0

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.9.19-1.el6_5.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.9.19-1.el6_5.noarch
* candlepin-tomcat6-0.9.19-1.el6_5.noarch
* elasticsearch-0.90.10-4.el6sat.noarch
* foreman-1.6.0.38-1.el6sat.noarch
* foreman-compute-1.6.0.38-1.el6sat.noarch
* foreman-gce-1.6.0.38-1.el6sat.noarch
* foreman-libvirt-1.6.0.38-1.el6sat.noarch
* foreman-ovirt-1.6.0.38-1.el6sat.noarch
* foreman-postgresql-1.6.0.38-1.el6sat.noarch
* foreman-proxy-1.6.0.23-1.el6sat.noarch
* foreman-selinux-1.6.0.4-1.el6sat.noarch
* foreman-vmware-1.6.0.38-1.el6sat.noarch
* katello-1.5.0-28.el6sat.noarch
* katello-ca-1.0-1.noarch
* katello-certs-tools-1.5.6-1.el6sat.noarch
* katello-installer-0.0.57-1.el6sat.noarch
* openldap-2.4.23-34.el6_5.1.x86_64
* pulp-katello-0.3-3.el6sat.noarch
* pulp-nodes-common-2.4.0-0.30.beta.el6sat.noarch
* pulp-nodes-parent-2.4.0-0.30.beta.el6sat.noarch
* pulp-puppet-plugins-2.4.0-0.30.beta.el6sat.noarch
* pulp-puppet-tools-2.4.0-0.30.beta.el6sat.noarch
* pulp-rpm-plugins-2.4.0-0.30.beta.el6sat.noarch
* pulp-selinux-2.4.0-0.30.beta.el6sat.noarch
* pulp-server-2.4.0-0.30.beta.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch
* sssd-ldap-1.11.5.1-3.el6.x86_64

Comment 6 Bryan Kearney 2014-09-11 12:29:10 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.